package com.fjhx.admin.mapper.stock;

import com.fjhx.admin.entity.stock.po.StockJournalDetails;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.admin.entity.stock.vo.StockJournalDetailsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 出入库记录明细 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-03-20
 */
public interface StockJournalDetailsMapper extends BaseMapper<StockJournalDetails> {

    /**
     * 出入库记录明细分页
     */
    Page<StockJournalDetailsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<StockJournalDetails> wrapper);

}
