package com.fjhx.admin.service.stock;

import com.fjhx.admin.entity.stock.po.StockJournalDetails;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.admin.entity.stock.vo.StockJournalDetailsVo;
import com.fjhx.admin.entity.stock.dto.StockJournalDetailsSelectDto;
import com.fjhx.admin.entity.stock.dto.StockJournalDetailsDto;


/**
 * <p>
 * 出入库记录明细 服务类
 * </p>
 *
 * @author 
 * @since 2023-03-20
 */
public interface StockJournalDetailsService extends BaseService<StockJournalDetails> {

    /**
     * 出入库记录明细分页
     */
    Page<StockJournalDetailsVo> getPage(StockJournalDetailsSelectDto dto);

    /**
     * 出入库记录明细明细
     */
    StockJournalDetailsVo detail(Long id);

    /**
     * 出入库记录明细新增
     */
    void add(StockJournalDetailsDto stockJournalDetailsDto);

    /**
     * 出入库记录明细编辑
     */
    void edit(StockJournalDetailsDto stockJournalDetailsDto);

    /**
     * 出入库记录明细删除
     */
    void delete(Long id);

}
